locked
Security Patch/Updates for SQL Server Versions RRS feed

  • Question

  • Hello Support. 

    I have a question related to Security Patches and Updates for Microsoft my question is  Microsoft is releasing one Security Patch or Update for SQL Sever 2008 will that patch or update will be aplicable to all the version like Developer, STD and Enterprise of SQL 2008 or i need to get seperate patch for each version. Request you to kindly provide relavent Answer to this question

    Friday, March 9, 2012 5:28 AM

Answers

  • Hi, typically you use the patch for all editions (NB: the patch has to be the appropriate architecture e.g. x86, x64,Itanium) and the patch usually confirms this e.g. an extract from the latest SP for SQL Server 2008 R2 http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=26727

    'You can use these packages to upgrade any of the following SQL Server 2008 R2 editions:

    (1) SQL Server 2008 R2 Datacenter Edition
    (2) SQL Server 2008 R2 Enterprise Edition and Developer Edition
    (3) SQL Server 2008 R2 Standard Edition
    (4) SQL Server 2008 R2 Web Edition
    (5) SQL Server 2008 R2 Workgroup Edition
    (6) SQL Server 2008 R2 Express Edition'

    Where there is a deviation from the norm, the down load usually provides details on which patch to apply to appropriate build e.g. http://technet.microsoft.com/en-us/security/bulletin/ms11-049

    • Proposed as answer by amber zhang Monday, March 12, 2012 5:57 AM
    • Marked as answer by amber zhang Friday, March 16, 2012 7:24 AM
    Friday, March 9, 2012 6:22 AM

All replies

  • Hello Team,

    I have similar query we are also want to setup the test lab in which we will be testing all the patches and updates released by Microsoft time to time. please provide answer to the same question "Security Patch or Update for SQL Sever 2008 will that patch or update will be applicable to all the version like Developer, STD and Enterprise of SQL 2008 or i need to get separate patch for each version. "

    Rg

    SD

    Friday, March 9, 2012 5:42 AM
  • Hi, typically you use the patch for all editions (NB: the patch has to be the appropriate architecture e.g. x86, x64,Itanium) and the patch usually confirms this e.g. an extract from the latest SP for SQL Server 2008 R2 http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=26727

    'You can use these packages to upgrade any of the following SQL Server 2008 R2 editions:

    (1) SQL Server 2008 R2 Datacenter Edition
    (2) SQL Server 2008 R2 Enterprise Edition and Developer Edition
    (3) SQL Server 2008 R2 Standard Edition
    (4) SQL Server 2008 R2 Web Edition
    (5) SQL Server 2008 R2 Workgroup Edition
    (6) SQL Server 2008 R2 Express Edition'

    Where there is a deviation from the norm, the down load usually provides details on which patch to apply to appropriate build e.g. http://technet.microsoft.com/en-us/security/bulletin/ms11-049

    • Proposed as answer by amber zhang Monday, March 12, 2012 5:57 AM
    • Marked as answer by amber zhang Friday, March 16, 2012 7:24 AM
    Friday, March 9, 2012 6:22 AM
  • Thanks Kevin for your reply :)

    Friday, March 9, 2012 9:36 AM